<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [cat](./bitburner.singularity.cat.md)

## Singularity.cat() method

Displays the content of a file on the currently connected server.

**Signature:**

```typescript
cat(filename: string): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  filename | string | Name of the file to display, including its extension. |

**Returns:**

void

## Remarks

RAM cost: 0.5 \* 16/4/1

